import { html, ref, when } from '@microsoft/fast-element';
import { closeIcon } from '../_common/icons';
export const foundationDialogTemplate = html `
  <dialog ${ref('mainElement')} part="dialog">
    <div class="content-wrapper">
      <div part="top" class="top">
        <slot name="top"></slot>
        ${when((x) => x.showCloseIcon, html `
            <div class="close-icon" @click=${(x) => x.close()}>${closeIcon()}</div>
          `)}
      </div>
      <slot></slot>
      <div part="bottom" class="bottom">
        <slot name="bottom"></slot>
      </div>
    </div>
  </dialog>
`;
